Bug 80764 - FILEOPEN: No Document Version control on ftp server
Summary: FILEOPEN: No Document Version control on ftp server
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.2.4.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA ftp
Keywords:
Depends on:
Blocks: Network File-Versioning
  Show dependency treegraph
 
Reported: 2014-07-01 17:27 UTC by Bugcruncher
Modified: 2017-06-23 10:33 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Sample Document with Versions (32.21 KB, application/vnd.sun.xml.calc)
2014-07-01 17:27 UTC, Bugcruncher
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bugcruncher 2014-07-01 17:27:27 UTC
Created attachment 102084 [details]
Sample Document with Versions

Problem description: 
When you open a document on a ftp server like 
ftp://user@server.de/folder/versionsample.ods
You can not select a particular version of the document 

Steps to reproduce:
1. Prepare a (password protcted) ftp location as mentioned 
   above and copy attached sample document to a folder 
   (use filzilla or whatever)
2. Launch LibO
3. Menu {File ► Open ► ftp://user@server.de/folder}
4. In Password  dialog box confirm with password 
   Folder with document will be shown
5. Click "versionsample.ods"

Current behavior: Version selector stays empty
Expected behavior: Versions shown

Problem is visible with Calc and Writer (other not tested) and in LibO File Dialog and WIN File Dialog.

I can't remember that that ever worked. 

Not a file problem, if you open the document and save it on your HDD for next open all Versions will be visible.

              
Operating System: Windows 7
Version: 4.2.4.2 release
Comment 1 Robinson Tryon (qubit) 2014-12-12 18:38:10 UTC
TESTING on Ubuntu 14.04 with LO Version: 4.5.0.0.alpha0+
  Build ID: df62a2c81bef2bcd96a5f14802e41815f0bdc2da

(In reply to Bugcruncher from comment #0)

Repro Steps:
- Save/open attachment 102084 [details] in LibreOffice
- Check that multiple versions are available

Yes -- multiple versions can be accessed.

Then test w/remote FTP server:
> 1. Prepare a (password protcted) ftp location as mentioned 
>    above and copy attached sample document to a folder 
>    (use filzilla or whatever)
> 2. Launch LibO

Done

> 3. Menu {File ► Open ► ftp://user@server.de/folder}

I had to use the LibreOffice menus to open the FTP site
(Tools -> Options -> General -> Use LibreOffice Dialogs)

> 4. In Password  dialog box confirm with password 
>    Folder with document will be shown

Yes

> 5. Click "versionsample.ods"
> 
> Current behavior: Version selector stays empty
> Expected behavior: Versions shown

CONFIRMED: Version selector stays empty (checking the 'Read-only' option had no effect)

Status -> NEW

My guess is that the Version selector needs to query the file to ascertain that information, and that we don't currently run the query for files on remote filesystems.
Comment 2 QA Administrators 2015-12-20 16:14:31 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2017-01-03 19:48:56 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.6 or 5.2.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170103